.support-icon-container {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1200;
    transition: 0.5s ease;
}

.support-icon-container:hover{
    transform: translateY(-5px);
}

.support-icon {
    width: 70px;
    height: 70px;
    background: linear-gradient(to top, #791a6c 0%, #A3238e 100%);
    color: white;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    cursor: pointer;
    box-shadow: 0 8px 12px rgba(0,0,0,0.2);
    transition: all 0.3s ease;
}

.support-icon a{
    text-decoration: none;
}

.support-icon a img{
    width: 40px;
    height: 40px;
    display: flex;
}

.support-icon:hover{
    box-shadow: 0 8px 12px rgba(0,0,0,0.3);
}

@media (max-width: 425px){
    .support-icon{
        width: 45px;
        height: 45px;
    }
    .support-icon a img{
        width: 25px;
        height: auto;
    }
}
